### Enumeration

# Qmi DmsOfflineReason

since: 1.0

#### Declaration

    flags Qmi.DmsOfflineReason

#### Description [src]

Reasons for being in Offline (`QMI_DMS_OPERATING_MODE_OFFLINE`) state.

Available since: 1.0

#### Members

`QMI_DMS_OFFLINE_REASON_HOST_IMAGE_MISCONFIGURATION`

  Host image misconfiguration.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_OFFLINE_REASON_PRI_IMAGE_MISCONFIGURATION`

  PRI image misconfiguration.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_OFFLINE_REASON_PRI_VERSION_INCOMPATIBLE`

  PRI version incompatible.

  - Value: `4`
  - Available since: 1.0
`QMI_DMS_OFFLINE_REASON_DEVICE_MEMORY_FULL`

  Memory full, cannot copy PRI information.

  - Value: `8`
  - Available since: 1.0

#### Type functions

###### qmi_dms_offline_reason_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiDmsOfflineReason` in `mask`.

since: 1.0